export interface StatusItemType {
  [key: string]: any
  title: string
  text: string
  isOpen: boolean
}
export interface StatusItemDataType {
  [key: string]: any
  title: string
  text: string
}
export const enum ReqType {
  tcp = 'tcp',
  https = 'https',
  NotSet = 'NotSet',
}
export const enum CriticalType {
  yes = 'yes',
  cloud = 'cloud',
  group = 'group',
  ifresized = 'ifresized',
  no = 'no',
}
export interface SrvcType {
  name: string
  path: string
  req: ReqType
  target: string
  liveness: string
  critical: CriticalType
}
export interface SrvcInfoType {
  [key: string]: any
  name: string
  info: string
  srvc: SrvcType
}
export interface CloudGroupItemType {
  [key: string]: any
  hostname: string
  tsksrvcs: SrvcType[]
  appsrvcs: SrvcType[]
}
export interface CloudGroupServcType {
  [key: string]: any
  hostname: string
  name: string
  tsksrvcs: SrvcInfoElemType[]
  appsrvcs: SrvcInfoElemType[]
}

export interface ResCloudDataCheck {
  group_cloud: CloudGroupSrvcType
  group_apps: CloudGroupSrvcType
  statusentries: StatusItemDataType[]
}
